Query datastores
GET /api/v1/datastores. Storage API reference.
curl --request GET \
--url https://{apiHost}/api/v1/datastores \
--header 'Authorization: Bearer <token>'import requests
url = "https://{apiHost}/api/v1/datastores"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{apiHost}/api/v1/datastores', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"summaryByType": {
"description": "<string>",
"total": 123,
"values": {}
},
"list": [
{
"name": "<string>",
"title": "<string>",
"dsType": "DATASTORE_TYPE_UNSPECIFIED",
"dsFQDN": "<string>",
"dsPath": "<string>",
"id": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"enterpriseId": "<string>",
"apiKey": "<string>",
"region": "<string>",
"dsStatus": "DATASTORE_STATUS_UNSPECIFIED",
"dsErr": "<string>",
"secret": {
"apiKey": "<string>",
"apiPasswd": "<string>"
},
"encryptedSecrets": {},
"cryptoKey": "<string>",
"originType": "ORIGIN_UNSPECIFIED",
"certificateChain": {
"certificates": [
{
"cert": "<string>",
"pvtKey": "<string>",
"publicKey": "<string>",
"passPhrase": "<string>",
"exportable": true,
"reuseKey": true,
"encryptedSecrets": {},
"cryptoKey": "<string>",
"publicKeyAlgorithm": "<string>",
"rsaEcryption": {
"rsaBits": "<string>"
},
"ecdsaEncryption": {
"curve": "<string>"
},
"validFrom": "2023-11-07T05:31:56Z",
"validTill": "2023-11-07T05:31:56Z",
"sanValues": {
"hosts": [
"<string>"
],
"emaildIds": [
"<string>"
],
"uris": [
"<string>"
],
"ips": [
"<string>"
],
"dns": [
"<string>"
],
"upns": [
"<string>"
]
},
"subject": {
"commonName": "<string>",
"country": [
"<string>"
],
"organization": [
"<string>"
],
"organizationalUnit": [
"<string>"
],
"locality": [
"<string>"
],
"postalCode": [
"<string>"
],
"province": [
"<string>"
],
"serialNumber": "<string>"
},
"issuer": {
"commonName": "<string>",
"country": [
"<string>"
],
"organization": [
"<string>"
],
"organizationalUnit": [
"<string>"
],
"locality": [
"<string>"
],
"postalCode": [
"<string>"
],
"province": [
"<string>"
],
"serialNumber": "<string>"
},
"serialNumber": "<string>",
"basicContraintsValid": true,
"keyUsage": 123,
"extendedKeyUsage": [
"<string>"
],
"signatureAlgorithm": "<string>"
}
]
},
"needClearText": true,
"projectAccessList": [
"<string>"
],
"isManaged": true
}
],
"summaryByCategory": {
"description": "<string>",
"total": 123,
"values": {}
},
"summaryByOrigin": {
"description": "<string>",
"total": 123,
"values": {}
},
"next": {
"pageToken": "<string>",
"orderBy": [
"<string>"
],
"pageNum": 123,
"pageSize": 123,
"totalPages": 123
}
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}Authorizations
Bearer token for user session
Headers
User-Agent specified id to track a request
Query Parameters
Only summary of the records required
Datastore name pattern to be matched.
Datastore type to be matched
origin of datastore
Datastore title pattern to be matched.
Page Token
OrderBy helps in sorting the list response
Page Number
Defines the page size
Total number of pages to be fetched.
Response
A successful response.
Type distribution summary of filtered Datastore records
Show child attributes
Show child attributes
List of filtered Datastore records
Show child attributes
Show child attributes
Category distribution summary of filtered Datastore records
Show child attributes
Show child attributes
datstore by origin summary
Show child attributes
Show child attributes
Responded page details of filtered records
Show child attributes
Show child attributes
Was this page helpful?
curl --request GET \
--url https://{apiHost}/api/v1/datastores \
--header 'Authorization: Bearer <token>'import requests
url = "https://{apiHost}/api/v1/datastores"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{apiHost}/api/v1/datastores', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"summaryByType": {
"description": "<string>",
"total": 123,
"values": {}
},
"list": [
{
"name": "<string>",
"title": "<string>",
"dsType": "DATASTORE_TYPE_UNSPECIFIED",
"dsFQDN": "<string>",
"dsPath": "<string>",
"id": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"enterpriseId": "<string>",
"apiKey": "<string>",
"region": "<string>",
"dsStatus": "DATASTORE_STATUS_UNSPECIFIED",
"dsErr": "<string>",
"secret": {
"apiKey": "<string>",
"apiPasswd": "<string>"
},
"encryptedSecrets": {},
"cryptoKey": "<string>",
"originType": "ORIGIN_UNSPECIFIED",
"certificateChain": {
"certificates": [
{
"cert": "<string>",
"pvtKey": "<string>",
"publicKey": "<string>",
"passPhrase": "<string>",
"exportable": true,
"reuseKey": true,
"encryptedSecrets": {},
"cryptoKey": "<string>",
"publicKeyAlgorithm": "<string>",
"rsaEcryption": {
"rsaBits": "<string>"
},
"ecdsaEncryption": {
"curve": "<string>"
},
"validFrom": "2023-11-07T05:31:56Z",
"validTill": "2023-11-07T05:31:56Z",
"sanValues": {
"hosts": [
"<string>"
],
"emaildIds": [
"<string>"
],
"uris": [
"<string>"
],
"ips": [
"<string>"
],
"dns": [
"<string>"
],
"upns": [
"<string>"
]
},
"subject": {
"commonName": "<string>",
"country": [
"<string>"
],
"organization": [
"<string>"
],
"organizationalUnit": [
"<string>"
],
"locality": [
"<string>"
],
"postalCode": [
"<string>"
],
"province": [
"<string>"
],
"serialNumber": "<string>"
},
"issuer": {
"commonName": "<string>",
"country": [
"<string>"
],
"organization": [
"<string>"
],
"organizationalUnit": [
"<string>"
],
"locality": [
"<string>"
],
"postalCode": [
"<string>"
],
"province": [
"<string>"
],
"serialNumber": "<string>"
},
"serialNumber": "<string>",
"basicContraintsValid": true,
"keyUsage": 123,
"extendedKeyUsage": [
"<string>"
],
"signatureAlgorithm": "<string>"
}
]
},
"needClearText": true,
"projectAccessList": [
"<string>"
],
"isManaged": true
}
],
"summaryByCategory": {
"description": "<string>",
"total": 123,
"values": {}
},
"summaryByOrigin": {
"description": "<string>",
"total": 123,
"values": {}
},
"next": {
"pageToken": "<string>",
"orderBy": [
"<string>"
],
"pageNum": 123,
"pageSize": 123,
"totalPages": 123
}
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}